> ## Documentation Index
> Fetch the complete documentation index at: https://psw.belli.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Security Scan (X-ray) to Customs

> Transmit x-ray scan metadata + image to Customs.

<ParamField status="201" type="object">
  <ParamField name="scanId" type="string">
    Unique scan identifier
  </ParamField>

  <ParamField name="awb" type="string">
    AWB number
  </ParamField>

  <ParamField name="status" type="string">
    Transmission status
  </ParamField>
</ParamField>

### Reference Documentation

<Info>
  For more information on security scan transmission to customs, please refer to:

  * Pages 197-198 of "Functional\_Requirements\_V18 FINAL": [https://belli.sg/4hrqpTT](https://belli.sg/4hrqpTT)
</Info>


## OpenAPI

````yaml POST /api/security/scans
openapi: 3.0.3
info:
  title: Mock API
  version: 1.0.0
  description: >-
    Mock OpenAPI spec for QR API Service. All endpoints require API key
    authentication via 'Authorization: Bearer <token>' or 'x-api-key: <token>'
    headers.
servers:
  - url: https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io
    description: Production server
security:
  - ApiKeyAuth: []
  - ApiKeyHeader: []
tags:
  - name: auth-v1
    description: Authentication and user management
  - name: reference-data-v1
    description: Reference data and master data
  - name: flights-v1
    description: Flight schedules and capacity
  - name: quotes-v1
    description: Quotation and pricing
  - name: awb-stock-v1
    description: AWB Stock Management
  - name: bookings-v1
    description: Booking management
  - name: shipments-v1
    description: Shipment documents and tracking
  - name: compliance-v1
    description: Compliance and safety declarations
  - name: operations-v1
    description: Operational events and manifests
  - name: webhooks-v1
    description: Webhook management
  - name: admin-v1
    description: Administrative and audit functions
  - name: qr-exp-cgo-ext-availability-v1
    description: Legacy availability service
  - name: qr-exp-cgo-ext-booking-v1
    description: Legacy booking service
  - name: qr-exp-cgo-ext-flight-schedules-v1
    description: Legacy flight schedules service
  - name: qr-exp-cgo-shipments-v1
    description: Legacy shipments service
  - name: qr-exp-cgo-stock-v1
    description: Legacy stock service
  - name: qr-exp-cgo-tables-v1
    description: Legacy table data service
paths:
  /api/security/scans:
    post:
      tags:
        - compliance-v1
      summary: Send Security Scan (X-ray) to Customs
      description: Transmit x-ray scan metadata + image to Customs.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/SecurityScanRequest'
      responses:
        '201':
          description: Scan Sent to Customs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityScanResponse'
components:
  schemas:
    SecurityScanRequest:
      type: object
      properties:
        awbNumber:
          type: string
          example: 157-12345678
        scanType:
          type: string
          example: XRAY
        scanResult:
          type: string
          example: CLEAR
        performedAt:
          type: string
          format: date-time
          example: '2024-01-01T12:00:00Z'
        image:
          type: string
          format: binary
          description: X-ray scan image file
      required:
        - awbNumber
        - scanType
        - scanResult
        - performedAt
        - image
    SecurityScanResponse:
      type: object
      properties:
        scanId:
          type: string
          example: scan_01HLMN
        awb:
          type: string
          example: 157-12345678
        status:
          type: string
          example: sent
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````